1. phatcamaro's Avatar
    I know this is not normally allowed, but i just have to say normally i do pay for all my apps. However, i think there may be a reason for some of them now because i have a couple apps that now only support ios 4.0 after a new version was released. I'm still on 3.1.2 and now can no longer use these apps, but was able to go back and get the older versions from ones floating around on the world wide web.
    2010-08-31 08:46 PM
  2. i.Annie's Avatar
    That makes sense if youve already paid for an app. However, rules are rules and we dont discuss that here on MMi. But I can see where youre coming from.
    2010-08-31 08:48 PM
  3. moon#pie's Avatar
    ^yes. that can be helpful sometimes. it's also useful to get apps (even free) that apple removed from that app store.
    2010-08-31 08:48 PM
  4. cypherpunk's Avatar
    Yes, there's legitimate reasons, but there's a time and place to discuss these things, and this site isn't that place (there's actually good reasons for that, but I'll leave that to the mods).

    Personally, I'd love to see someone take a stand and create a site for the sole purposes of hosting old versions of apps that have gone 4.0-only, and thoses removed from the store, requiring payment for access and compensating developers accordingly.
    Last edited by cypherpunk; 2010-08-31 at 10:11 PM.
    2010-08-31 10:05 PM
LINK TO POST COPIED TO CLIPBOARD
We have updated our Privacy Policy and Terms & Conditions. Please check them out.